Mailboxes and usage
/v1/mailboxesThe list of mailboxes is limited by the owner or the only mailbox of the user session.
Authentication and access · Errors and retries
Request
curl -X GET 'https://adapt-mail.com/v1/mailboxes' \ -H 'Authorization: Bearer <access_token>'Parameters
X-Customer-IDheader- Option 1
stringOption 2null
Responses
200 Successful response
application/json
array
object
idintegeraccount_idintegerdomain_idintegeremailstringnamestringquota_mbintegerused_bytesintegerfile_quota_bytesintegerfile_used_bytesintegerstatusstringsignaturestringenabledbooleanaccess_allowedbooleanpaid_until- Option 1
stringDate and time in UTC. If there is no offset, the value also represents UTC.
Option 2null ready_at- Option 1
stringDate and time in UTC. If there is no offset, the value also represents UTC.
Option 2null delete_after- Option 1
stringDate and time in UTC. If there is no offset, the value also represents UTC.
Option 2null created_atstringDate and time in UTC. If there is no offset, the value also represents UTC.
updated_atstringDate and time in UTC. If there is no offset, the value also represents UTC.
reserved_quota_mb- Option 1
integerOption 2null outbound_high_limitbooleanoutbound_daily_recipient_limitintegeroutbound_daily_recipients_usedintegeroutbound_daily_recipients_remainingintegeroutbound_messages_per_minuteintegeroutbound_minute_messages_usedintegeroutbound_minute_messages_remainingintegeroutbound_recipients_per_messageintegerstorage_sharedbooleantrue
401 Login required
application/json
object
detail- Option 1
stringOption 2objectcodestringmessagestring
Option 3arrayArray elementsobject
403 No access
application/json
object
detail- Option 1
stringOption 2objectcodestringmessagestring
Option 3arrayArray elementsobject
404 Resource not found
application/json
object
detail- Option 1
stringOption 2objectcodestringmessagestring
Option 3arrayArray elementsobject
409 State conflict
application/json
object
detail- Option 1
stringOption 2objectcodestringmessagestring
Option 3arrayArray elementsobject
422 Validation error
application/json
object
detailarrayArray elementsobjectlocNecessarilyarrayArray elementsOption 1stringOption 2integermsgNecessarilystringtypeNecessarilystring
503 Temporarily unavailable
application/json
object
detail- Option 1
stringOption 2objectcodestringmessagestring
Option 3arrayArray elementsobject